> ## Documentation Index
> Fetch the complete documentation index at: https://developer.copper.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Outstanding Stakes



## OpenAPI

````yaml /copper-open-api-public.json get /staking/outstanding-stakes
openapi: 3.1.0
info:
  description: >-
    Copper API is based on the REST API interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.

    By default, the request should include a Content-Type header set as
    application/json. Some requests require different header fields, as well as
    other Content-Type values. In this case, a proper header will be stated in
    an example.

    When interacting with the API, please note that all numerical values, such
    as order amounts or timestamps, should be transmitted as strings. This
    ensures consistent data representation and prevents potential issues with
    floating-point precision
  title: Copper Platform API
  version: latest
servers:
  - description: platform.copper.co
    url: https://api.copper.co/platform
  - description: demo.copper.co
    url: https://api.stage.copper.co/platform
  - description: testnet.copper.co
    url: https://api.testnet.copper.co/platform
security: []
tags:
  - name: reports
  - name: deposit-targets
  - name: lending
  - name: portfolios
  - name: wallets
  - name: network
  - name: stake
  - name: blockchain
  - name: organizations
  - name: files
  - name: orders
  - name: address-book
  - name: clearloop
  - name: currencies
paths:
  /staking/outstanding-stakes:
    get:
      tags:
        - stake
      summary: Get Outstanding Stakes
      parameters:
        - description: Return stakes only for specific portfolio
          in: query
          name: portfolioId
          required: false
          schema:
            type: string
        - description: Filter by the staked currency
          in: query
          name: currency
          required: false
          schema:
            type: string
        - description: Filter by the main currency (blockchain network) for staking
          in: query
          name: mainCurrency
          required: false
          schema:
            type: string
        - description: Limit for pagination
          in: query
          name: limit
          required: false
          schema:
            default: '100'
            type: string
        - description: Offset for pagination
          in: query
          name: offset
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformOutstandingStakes'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    PlatformOutstandingStakes:
      properties:
        outstandingStakes:
          description: List of outstanding stakes
          items:
            $ref: '#/components/schemas/PlatformOutstandingStake'
          type: array
      type: object
    PlatformOutstandingStake:
      properties:
        createdAt:
          description: Timestamp of stake creation
          type: string
        currency:
          description: Staked currency
          type: string
        depositTargetId:
          description: Unique identifier of the Deposit Target
          type: string
        mainCurrency:
          description: Main currency (blockchain network) of a stake
          type: string
        organizationId:
          description: Unique ID of the organisation
          type: string
        outstandingOperation:
          $ref: '#/components/schemas/OutstandingStakeOperation'
          description: Outstanding stake data
          type: object
        outstandingStakeId:
          description: Unique identifier of the outstanding stake
          type: string
        portfolioId:
          description: Unique identifier of the portfolio, for which the stake was created
          type: string
        updatedAt:
          description: Timestamp of the latest stake update
          type: string
      type: object
    OutstandingStakeOperation:
      properties:
        canCreatePool:
          description: >-
            Only applies for AVAX. In AVAX we can create a pool with funds
            imported to P Chain. Should be set to 'true' with
            OutstandingOperationType.ALLOCATE_STAKE
          type: boolean
        claimResourceId:
          description: >-
            Only applies for [XRD] Radix. Radix issues an NFT when stakes are
            undelegated. This NFT will be used to claimXRD using
            complete-withdrawal operation
          type: string
        outstandingAmount:
          description: Outstanding stake amount
          type: string
        outstandingOperationType:
          $ref: '#/components/schemas/OutstandingOperationType'
          description: >-
            The type of the outstanding operation. [See
            details](/enums/OutstandingOperationType)
        pool:
          $ref: '#/components/schemas/Pool'
          description: A pool that this stake is connected to
          type: object
        pools:
          description: >-
            For Substrate based. List of pools that are related to this
            operation.
          items:
            $ref: '#/components/schemas/Pool'
          type: array
        rewardResourceIds:
          description: >-
            Applies for currencies which require a list of IDs when claiming a
            reward. For example, Core rewards with staked BTC requires a txId
            from the original delegate transaction
          items:
            type: string
          type: array
        stakeAddress:
          description: >-
            The address of a dedicated staking account. Only applies for SOL
            currently
          type: string
      type: object
    OutstandingOperationType:
      enum:
        - claim-reward
        - complete-withdrawal
        - allocate-stake
        - complete-deposit
        - claim-unmint
      type: string
    Pool:
      properties:
        extra:
          $ref: '#/components/schemas/BlockchainExtra'
          description: Additional information for this staking pool
          type: object
        poolId:
          description: Pool identifier
          type: string
        poolName:
          description: Pool name
          type: string
        totalBonded:
          description: Amount of current all stakes for pool
          type: string
        validatorProviderId:
          description: Validator provider ID matched for this pool (if any)
          type: string
      type: object
    BlockchainExtra:
      properties:
        netuid:
          description: Network ID
          type: string
        neuronFollowees:
          description: ICP Neuron followees
          items:
            type: string
          type: array
        swapExtra:
          $ref: '#/components/schemas/SwapExtra'
          description: Additional order information related to Swap flow
          type: object
      type: object
    SwapExtra:
      properties: {}
      type: object

````